[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.SetColor

Sets the value for the Color property.

## Declaration

Source position: graphics.pp line 546

`protected procedure TFont.SetColor(`
`const NewColor: TColor;`
`const NewFPColor: TFPColor`
`); virtual; procedure TFont.SetColor(`
`Value: TColor`
`);`

## Arguments

`NewColor` |  | New value for the property.
`NewFPColor` |  | New property value as a TFPColor type.

## Arguments

`Value` |  | New value for the property.

## Description

An overloaded variant of the method handles converting the TColor value to the TFPColor values used in ancestor class.

## See also

TFont.Color |  | Color used to render text using the font.